import { IChartConfig, IChartSeries } from './highchart-platform-interfaces';
export declare class ChartConfigBuilder implements IChartConfig {
    credits: IChartConfig['credits'];
    chart: IChartConfig['chart'];
    title: IChartConfig['title'];
    subtitle: IChartConfig['subtitle'];
    legend: IChartConfig['legend'];
    xAxis: any;
    yAxis: any;
    plotOptions: any;
    series: IChartSeries[];
    tooltip: {};
    constructor();
    getBaseConfig(type: any, title: any, xAxis: any, subtitle?: any): IChartConfig;
    addSeries(data: IChartSeries[]): IChartConfig;
    private prepareTreeMapConfig(type, title);
    private handleScatterDatetime(xAxis);
}
export declare class ScatterDataPoint {
    x: number;
    y: number;
    label: string;
    constructor(x: number, y: number, label?: string);
}
export declare class ChartStatsCalc {
    data: any[];
    private _data;
    constructor(data: any[]);
    getPercentile(percentile: number): number;
    getThreeSigmaHigh(): number;
    getThreeSigmaLow(): number;
    getWhiskerHigh(): number;
    getWhiskerLow(): number;
    getMedian(): number;
    getLowerQuantile(): number;
    getUpperQuantile(): number;
    private getMiddleIndex();
}
